# Previews the batch to ensure it can be posted, and reports any errors Previews the batch to ensure it can be posted, and reports any errors Endpoint: POST /batchPosting/{tenantId}/batchPostingPreviewRequest Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `batch_ids` (array, required) The IDs of the batches to post - `business_unit_id` (string, required) The business unit ## Response 200 fields (application/json): - `batches_to_post` (array) - `batches_to_post.date` (string) Date of the batch - `batches_to_post.id` (string) ID of the ineligible batch - `batches_to_post.name` (string) Name of the ineligible batch - `ineligible_batches` (array) - `ineligible_batches.reason` (string) Reason the batch is ineligible - `products` (array) - `products.accounting_project_id` (string) The accounting project for this project - `products.accounts_receivable_gl_account_id` (string) The A/R GL account - `products.business_unit_id` (string) The product business unit id - `products.cogs_expense_gl_account_id` (string) The COGS account - `products.deferred_revenue_gl_account_id` (string) The deferred revenue account - `products.id` (string) The product id - `products.inventory_gl_account_id` (string) The inventory gl account - `products.name` (string) The name of the product - `products.revenue_gl_account_id` (string, required) The revenue GL account - `products.type` (string) The type of the product - `products.write_off_gl_account_id` (string) The write off account - `products_without_financial_configuration` (array) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields